set DOXYFLAG=
set DOXYFLAG=%DOXYFLAG% -d extcmd

set cmd=cmd /c where dot.exe
rm -f *.log *.tar *.diff
for %%d in (*.DoxyFile) do (
	rm -fr %%~nd
	diff -U 1 DotPathIsVoid.Doxyfile %%d >> DoxyFile.diff
	echo %DATE% %TIME% > %%~nd.log
	echo doxygen version:>> %%~nd.log
	doxygen -v >> %%~nd.log
	echo find dot.exe in PATH using '%cmd%': >> %%~nd.log
	%cmd%  >>%%~nd.log
	doxygen %DOXYFLAG% %%d >> %%~nd.log 2>&1
	start %%~dpnd/html/main_8c.html
)

tar --no-recursion -cf doxyDotPath.tar *.Doxyfile *.log *.diff *.md *.bat